<?php
// Get Documents Folder from Site Settings
$docUploadPath = $set['userDocsPath'];

// Archive Tenant
// Delete Tenant
if (isset($_POST['submit']) && $_POST['submit'] == 'deleteTenant') {
    $actLease = '';
    $deleteId = htmlspecialchars($_POST['deleteId']);


    mysqli_query($mysqli, "Delete from rental_application where id='$deleteId");
    mysqli_query($mysqli, "Delete from rental_history where application_id='$deleteId");
    mysqli_query($mysqli, "Delete from employer_application where application_id='$deleteId");
    mysqli_query($mysqli, "Delete from consigner where application_id='$deleteId");
    $msgBox = alertBox("Application Deleted Successfully", "<i class='fa fa-check-square'></i>", "success");
}

// Get Data
$qry = "SELECT rental_application.* FROM rental_application LEFT JOIN assigned ON rental_application.property_id = assigned.propertyId
					LEFT JOIN admins ON assigned.adminId = admins.adminId order by id desc";
$res = mysqli_query($mysqli, $qry) or die('-2' . mysqli_error());

$manageApplicationPage = 'true';
$pageTitle = $applicationManage;
$addCss = '<link href="../css/dataTables.css" rel="stylesheet">';
$dataTables = 'true';
$jsFile = 'unleasedTenants';

include 'includes/header.php';
?>
<div class="container page_block noTopBorder">
    <hr class="mt-0 mb-0" />

<?php
if ((checkArray('MNGTEN', $auths)) || $rs_isAdmin != '') {
    if ($msgBox) {
        echo $msgBox;
    }
    ?>
        <h3><?php echo $pageTitle; ?></h3>

        <?php if (mysqli_num_rows($res) < 1) { ?>
            <div class="alertMsg default mb-20">
                <div class="msgIcon pull-left">
                    <i class="fa fa-info-circle"></i>
                </div>
                <?php echo $noUnlTntsFound; ?>
            </div>
        <?php } else { ?>
            <table id="unleasedTenants" class="display" cellspacing="0">
                <thead>
                    <tr>
                        <th>Applicant</th>
                        <th class="text-center">Email</th>
                        <th class="text-center">Phone</th>
                        <th class="text-center">SSN</th>
                        <th class="text-center">Country</th>
                        <th class="text-center">Application Date</th>
                        <?php if ($rs_isAdmin != '') { ?>
                            <th class="text-right"></th>
                        <?php } ?>
                    </tr>
                </thead>

                <tbody>
                    <?php while ($row = mysqli_fetch_assoc($res)) { ?>
                        <tr>
                            <td><?php echo clean($row['applicant_first_name']) . ' ' . clean($row['applicant_last_name']); ?></td>
                            <td class="text-center"><?php echo clean($row['applicant_email']); ?></td>
                            <td class="text-center"><?php echo clean($row['applicant_phone']); ?></td>
                            <td class="text-center"><?php echo clean($row['applicant_ssn']); ?></td>
                            <td class="text-center"><?php echo clean($row['country']); ?></td>
                            <td class="text-center"><?php echo dateFormat($row['add_date']); ?></td>

                            <?php if ($rs_isAdmin != '') { ?>
                                <td class="text-right">
                                    <a  href="index.php?action=edit_application&id=<?php echo $row['id']; ?>" class="text-warning">
                                        <i class="fa fa-pencil" data-toggle="tooltip" data-placement="left" title="Edit"></i>
                                    </a>
                                    &nbsp;
                                    <a data-toggle="modal" href="#deleteTenant<?php echo $row['userId']; ?>" class="text-danger">
                                        <i class="fa fa-trash" data-toggle="tooltip" data-placement="left" title="<?php echo $delTntAccBtn; ?>"></i>
                                    </a>



                                    <div class="modal fade" id="deleteTenant<?php echo $row['userId']; ?>" tabindex="-1" role="dialog" aria-hidden="true">
                                        <div class="modal-dialog text-left">
                                            <div class="modal-content">
                                                <form action="" method="post">
                                                    <div class="modal-body">
                                                        <p class="lead">
                                                            <?php echo $delTntAccConf1 . ' ' . clean($row['applicant_first_name']) . ' ' . clean($row['applicant_first_name']); ?>?<br />
                                                            <small><?php echo $delTntAccConf2; ?></small>
                                                        </p>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <input name="deleteId" type="hidden" value="<?php echo $row['id']; ?>" />

                                                        <button type="input" name="submit" value="deleteTenant" class="btn btn-success btn-icon"><i class="fa fa-check-square-o"></i> <?php echo $yesBtn; ?></button>
                                                        <button type="button" class="btn btn-light btn-icon" data-dismiss="modal"><i class="fa fa-times-circle-o"></i> <?php echo $cancelBtn; ?></button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            <?php } ?>
                        </tr>
                    <?php } ?>
                </tbody>
            </table>
        <?php } ?>

    <?php } else { ?>
        <hr class="mt-0 mb-0" />
        <h3><?php echo $accessErrorHeader; ?></h3>
        <div class="alertMsg warning mb-20">
            <div class="msgIcon pull-left">
                <i class="fa fa-warning"></i>
            </div>
            <?php echo $permissionDenied; ?>
        </div>
    <?php } ?>
</div>